#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		river	%(echo %{version} | cut -d '.' -f1-2).0
#-----------------------------------------------------------------------------
Name		:	ruby
Version		:	3.3.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Ruby development environment.
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSDL
URL		:	http://cache.ruby-lang.org/pub/ruby/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libffi-devel
#-----------------------------------------------------------------------------
%description
'%{name}' is the interpreted scripting language for quick and
easy object-oriented programming. It has many features to process
text files and to do system management tasks (as in Perl).
It is simple, straight-forward, and extensible.

#=============================================================================
%files			
%defattr(-, root,root,-)
%doc COPYING README.md
%{_bindir}/bundle*
%{_bindir}/erb
%{_bindir}/irb
%{_bindir}/gem
%{_bindir}/rake
%{_bindir}/racc
%{_bindir}/rdbg
%{_bindir}/rdoc
%{_bindir}/ri
%{_bindir}/rbs
%{_bindir}/ruby
%{_bindir}/syntax_suggest
%{_bindir}/typeprof
%{_includedir}/%{name}-%{river}/%{name}.h
%{_includedir}/%{name}-%{river}/%{name}/*.h
%{_includedir}/%{name}-%{river}/%{name}/fiber/scheduler.h
%{_includedir}/%{name}-%{river}/%{name}/internal/*.h
%{_includedir}/%{name}-%{river}/%{name}/internal/attr/*.h
%{_includedir}/%{name}-%{river}/%{name}/internal/arithmetic/*.h
%{_includedir}/%{name}-%{river}/%{name}/internal/encoding/*.h
%{_includedir}/%{name}-%{river}/%{name}/internal/compiler_is/*.h
%{_includedir}/%{name}-%{river}/%{name}/internal/core/*.h
%{_includedir}/%{name}-%{river}/%{name}/internal/has/*.h
%{_includedir}/%{name}-%{river}/%{name}/internal/intern/*.h
%{_includedir}/%{name}-%{river}/%{name}/internal/intern/select/*.h
%{_includedir}/%{name}-%{river}/%{name}/backward/2/*.h
%{_includedir}/%{name}-%{river}/%{name}/backward/cxxanyargs.hpp
%{_includedir}/%{name}-%{river}/%{name}/io/buffer.h
%{_includedir}/%{name}-%{river}/x86_64-linux/%{name}/config.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}-*.pc
%{_libdir}/%{name}/%{river}/*
%{_libdir}/%{name}/gems/%{river}/extensions/
%{_libdir}/%{name}/gems/%{river}/cache/*.gem
%{_libdir}/%{name}/gems/%{river}/gems/*
%{_libdir}/%{name}/gems/%{river}/specifications/*
%{_datadir}/ri/%{river}/system/*.ri
%{_datadir}/ri/%{river}/system/*/*.ri
%{_datadir}/ri/%{river}/system/*/*/*.ri
%{_datadir}/ri/%{river}/system/*/*/*/*.ri
%{_datadir}/ri/%{river}/system/*/*/*/*/*.ri
%{_datadir}/ri/%{river}/system/*/*/*/*/*/*.ri
%{_mandir}/man1/erb.1.gz
%{_mandir}/man1/irb.1.gz
%{_mandir}/man1/ri.1.gz
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-libyaml=no				\
	--enable-shared					\

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}					\
	DESTDIR=%{buildroot}			\
	install

#-----------------------------------------------------------------------------
%changelog
